# Contributing to figma-vars-to-dart Package

Thank you for considering contributing to the `figma-vars-to-dart` package! Your contributions are valuable and help improve the package for everyone. Please take a moment to review this guide on how to contribute.

## Issues

If you find any bugs, have feature requests, or encounter any issues while using the package, please open an issue on our [GitHub Issues](https://github.com/appsfactorygmbh/figma-vars-to-dart/issues) page. Be sure to include as much detail as possible for a clear understanding of the problem.

## Pull Requests

We welcome pull requests that address existing issues or enhance the package. Here's how you can contribute:

1. Fork the repository and create a new branch for your feature/fix.
2. Commit your changes and ensure your code follows our code style.
3. Write clear and concise commit messages.
4. Open a pull request against the `main` branch.

## Code Style
Please follow the established code style in the repository to ensure consistency. Make sure `flutter analyze` exits successfully.

## Testing

Ensure that your changes are well-tested. If you are adding new features, include relevant tests. If you are fixing a bug, add a test that reproduces the bug to prevent regressions.

## Documentation

Keep the documentation up to date with your changes. If you're adding new features, make sure to include them in the relevant sections of the README and API Reference.

## Licensing

By contributing to this project, you agree that your contributions will be licensed under the [MIT License](LICENSE).

Thank you for contributing and helping to make the `figma-vars-to-dart` package even better!
